$Id: racc.en.rhtml,v 1.3 2005/11/20 17:25:51 aamine Exp $

TypeParser Generator
FormatRuby script + Ruby extention
Requirementruby (>=1.6)

-- Download (.tar.gz) -- Old Versions -- Online Manual --

Racc (Ruby yACC) is a LALR(1) parser generator for Ruby. Version 1.4.x is stable release.

Parsers generated by Racc requires "Racc Runtime Module". Ruby 1.8.x comes with this runtime. If you want to run your parsers with ruby 1.6.x, use "racc -E" command. For details, see online manual.

Anonymous Subversion Access

You can true latest version of Racc via anonymous Subversion. To check out working copy, type:

$ svn co http://i.loveruby.net/svn/public/racc/trunk racc